Subject: Re: [Teas] Fw: Status update on draft-ietf-teas-yang-sr-te-topo -09

From: Xufeng Liu <[email-masked]>
Date: Fri, 23 Jul 2021 19:03:45 -0400

Hi Tom,

We have posted an updated
https://datatracker.ietf.org/doc/html/draft-ietf-teas-yang-sr-te-topo-10,
to address these issues.

Thanks,
- Xufeng

On Mon, Mar 29, 2021 at 6:05 AM t petch <[email-masked]> wrote:

> On 29/03/2021 10:37, tom petch wrote:
> > ________________________________________
> > From: Xufeng Liu <[email-masked]>
> > Sent: 24 February 2021 17:07
> >
> > Hi Tom,
> >
> > Thank you much for the additional comments. We have posted an updated
> version https://tools.ietf.org/html/draft-ietf-teas-yang-sr-te-topo-09.
> Section 2.2 has been reworded. I'm wondering if it is any better.
>
> Xufeng,
>
> Yes, I am getting there but it remains a tough read.  I think that the
> problem is partly that the work of TEAS lacks an overall structure and
> that, with hindsight, the organisation could be more rational but that
> is the way that the IETF works and is not going to change; and this
> brings together many different technologies, some of which I am
> comfortable with, others not.  It makes references to other documents
> more necessary for me.
>
[Xufeng]: We’d try to make them complete. Please let us know whenever any
one is missing.

>
> So,
> 1.3 Prefixes
> you need to add tet which you (rightly) use in the I-D.
>
[Xufeng]: Fixed.

>
> 2.2
> /  <other netowrk / <other network/
>
[Xufeng]: Fixed.

>
> OLD
> Each type of topologies is indicated by
> "network-types" defined in
>     [RFC8345].
>
> NEW
> Each type of topology is indicated by
> a YANG presence container which augments
> "network-types" as defined in
>     [RFC8345].
>
[Xufeng]: Changed as suggested. More accurate and clearer.

>
>
> The five following references ae inconsistent in their use of YANG
> prefix.  I suggest including all the prefix in the path statements.
>
> The five references need references, all of them!  The I-D for packet is
> not obvious to me.
>
[Xufeng]: Completed them and fixed some of them.

>
> 2.5
>     by augmenting the container "l3-topology-attributes" in the L3
> toplogy model.
> needs a reference to the I-D IMHO.  I would like to see references in
> the subsequent sections as well, for those who are dipping into a
> section and not reading this cover-to-cover.
>
[Xufeng]: Added.

>
> 2.6
> Wrong!  This is not the YANG module of -09!
>
[Xufeng]: Fixed.

>
> 2.7
> Wrong! This is not the YANG module of -09!
>
[Xufeng]: Fixed.

>
> 3
> The use of multiple presence containers stands out to me as odd.  I
> think that the reason for it (assuming there is one!) needs explaining.
>
[Xufeng]: Added explanations in Sec 2.4., 2.6, and 2.7, where these
presence containers first appear.

>
> 4
>    description "Augment only for SR topology.";
> May make sense now but may not in future. Perhaps
>    description "Augment only for SR MPLS topology.";
> to cater for IPv6 which must be on the way. This applies to all the YANG
> 'when'.
>
[Xufeng]: Fixed.

>
> Appendix B
>                   "router-id": ["203.0.113.3"],
>                   "prefix": [
>                     {
>                       "prefix": "203.0.113.1/32",
> Should that be 113.1?
>
[Xufeng]: Thanks for catching this. Should be 113.3. Fixed.

>
> Tom Petch
>
>
>
>
> > Best regards,
> > - Xufeng
> >
> > On Fri, Nov 13, 2020 at 7:34 AM tom petch <[email-masked]<mailto:
> [email-masked]>> wrote:
> > From: Teas <[email-masked]<mailto:[email-masked]>> on
> behalf of Xufeng Liu <[email-masked]<mailto:
> [email-masked]>>
> > Sent: 13 November 2020 01:04
> >
> > Current Status:
> >
> >    *  Received further valuable comments from Tom Petch.
> >    *  The updated revision -08 was posted on Nov 1, 2020:
> >       - Addressed some review comments from Tom
> >       - Updated the reference to the latested draft-ietf-spring-sr-yang
> >
> > Open Issues:
> >
> >    *  Authors working on addressing Tom’s comments.
> >
> >
>